Bug 1493001 - [RFE] Add NIC ignore patterns for OpenStack and OpenShift
Summary: [RFE] Add NIC ignore patterns for OpenStack and OpenShift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Performance
Version: 6.2.11
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Sanket Jagtap
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 07:03 UTC by Amit Kumar Das
Modified: 2019-09-26 17:29 UTC (History)
7 users (show)

Fixed In Version: foreman-1.15.6.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20997 0 Normal Closed Add NIC ignore patterns for OpenStack and OpenShift 2021-01-28 11:37:24 UTC
Red Hat Bugzilla 1522726 0 unspecified CLOSED [RFE] Filter vneth* br* by default - avoid very long registration times for docker hosts with many network interfaces 2021-03-11 16:32:29 UTC
Red Hat Knowledge Base (Solution) 3216921 0 None None None 2017-10-17 03:25:49 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Internal Links: 1522726

Description Amit Kumar Das 2017-09-19 07:03:45 UTC
Description of problem:

In satellite, updating huge host facts(task - Actions::Katello::Host::Update) is taking around 30+ seconds. There are large number of ipv6 facts in hosts for each nic; generally ipv6 is not used in the hosts and could be ignored. This should enhance the performance during fact imports.

We can ignore nic details by adding it in the list, but satellite does not ignore ipv6* or *ipv6* wild-card.

Bypass list of interface:
Ignore interfaces with matching identifier [ lo, usb*, vnet*, macvtap*, _vdsmdummy_, docker*, veth*, qvo*, qbr*, qvb*, tap*, vlinuxbr, vovsbr ]

Version-Release number of selected component (if applicable):
satellite 6.2.11

Steps to Reproduce:
1. Satellite GUI
2. Satellite GUI > Administer > Settings > Provisioning
3. Add ipv6* or *ipv6* 

Ignore interfaces with matching identifier [ lo, usb*, vnet*, macvtap*, ipv6*]

ipv6*    It is added but facts not ignored
*ipv6*   It can not be added as wild-card

Actual results:
Satellite dose not filter-out ipv6 related facts.

Expected results:
User should able to ignore all the ipv6 facts once it is added in the filter.

Comment 2 Lukas Zapletal 2017-09-19 10:24:40 UTC
Thanks, renamed actually, we should filter out whole devices and not just IPv6 facts.

Comment 3 Satellite Program 2017-09-19 12:07:49 UTC
Upstream bug assigned to lzap@redhat.com

Comment 4 Satellite Program 2017-09-19 12:07:52 UTC
Upstream bug assigned to lzap@redhat.com

Comment 5 Satellite Program 2017-10-27 16:11:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20997 has been resolved.

Comment 9 Sanket Jagtap 2017-12-01 07:05:18 UTC
Build: Satellite 6.3 snap 26

6.2 = '["lo", "usb*", "vnet*", "macvtap*"]'
After upgrade to 6.3 

6.3 = '["lo", "usb*", "vnet*", "macvtap*", "_vdsmdummy_", "veth*", "docker*", "tap*", "qbr*", "qvb*", "qvo*", "qr-*", "qg-*", "vlinuxbr*", "vovsbr*"]'

On fresh 6.3 Box

[ lo, usb*, vnet*, macvtap*, _vdsmdummy_, veth*, docker*, tap*, qbr*, qvb*, qvo*, qr-*, qg-*, vlinuxbr*, vovsbr* ]

Comment 12 errata-xmlrpc 2018-02-21 12:39:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.